Index: kernel/generic/src/mm/slab.c
===================================================================
--- kernel/generic/src/mm/slab.c	(revision ccb426c40c1bb63880c8f1dd8edb16e9b19286f9)
+++ kernel/generic/src/mm/slab.c	(revision ca8f84f28749a37bc03923e5f1b1de449c46816a)
@@ -177,5 +177,6 @@
  *
  */
-static slab_t *slab_space_alloc(slab_cache_t *cache, unsigned int flags)
+NO_TRACE static slab_t *slab_space_alloc(slab_cache_t *cache,
+    unsigned int flags)
 {
 	
@@ -224,5 +225,5 @@
  *
  */
-static size_t slab_space_free(slab_cache_t *cache, slab_t *slab)
+NO_TRACE static size_t slab_space_free(slab_cache_t *cache, slab_t *slab)
 {
 	frame_free(KA2PA(slab->start));
@@ -236,5 +237,5 @@
 
 /** Map object to slab structure */
-static slab_t *obj2slab(void *obj)
+NO_TRACE static slab_t *obj2slab(void *obj)
 {
 	return (slab_t *) frame_get_parent(ADDR2PFN(KA2PA(obj)), 0);
@@ -252,5 +253,6 @@
  *
  */
-static size_t slab_obj_destroy(slab_cache_t *cache, void *obj, slab_t *slab)
+NO_TRACE static size_t slab_obj_destroy(slab_cache_t *cache, void *obj,
+    slab_t *slab)
 {
 	if (!slab)
@@ -293,5 +295,5 @@
  *
  */
-static void *slab_obj_create(slab_cache_t *cache, int flags)
+NO_TRACE static void *slab_obj_create(slab_cache_t *cache, unsigned int flags)
 {
 	spinlock_lock(&cache->slablock);
@@ -349,5 +351,6 @@
  *
  */
-static slab_magazine_t *get_mag_from_cache(slab_cache_t *cache, bool first)
+NO_TRACE static slab_magazine_t *get_mag_from_cache(slab_cache_t *cache,
+    bool first)
 {
 	slab_magazine_t *mag = NULL;
@@ -373,5 +376,6 @@
  *
  */
-static void put_mag_to_cache(slab_cache_t *cache, slab_magazine_t *mag)
+NO_TRACE static void put_mag_to_cache(slab_cache_t *cache,
+    slab_magazine_t *mag)
 {
 	spinlock_lock(&cache->maglock);
@@ -388,5 +392,6 @@
  *
  */
-static size_t magazine_destroy(slab_cache_t *cache, slab_magazine_t *mag)
+NO_TRACE static size_t magazine_destroy(slab_cache_t *cache,
+    slab_magazine_t *mag)
 {
 	size_t i;
@@ -406,9 +411,9 @@
  *
  */
-static slab_magazine_t *get_full_current_mag(slab_cache_t *cache)
+NO_TRACE static slab_magazine_t *get_full_current_mag(slab_cache_t *cache)
 {
 	slab_magazine_t *cmag = cache->mag_cache[CPU->id].current;
 	slab_magazine_t *lastmag = cache->mag_cache[CPU->id].last;
-
+	
 	ASSERT(spinlock_locked(&cache->mag_cache[CPU->id].lock));
 	
@@ -443,5 +448,5 @@
  *
  */
-static void *magazine_obj_get(slab_cache_t *cache)
+NO_TRACE static void *magazine_obj_get(slab_cache_t *cache)
 {
 	if (!CPU)
@@ -473,5 +478,5 @@
  *
  */
-static slab_magazine_t *make_empty_current_mag(slab_cache_t *cache)
+NO_TRACE static slab_magazine_t *make_empty_current_mag(slab_cache_t *cache)
 {
 	slab_magazine_t *cmag = cache->mag_cache[CPU->id].current;
@@ -479,5 +484,5 @@
 	
 	ASSERT(spinlock_locked(&cache->mag_cache[CPU->id].lock));
-
+	
 	if (cmag) {
 		if (cmag->busy < cmag->size)
@@ -523,5 +528,5 @@
  *
  */
-static int magazine_obj_put(slab_cache_t *cache, void *obj)
+NO_TRACE static int magazine_obj_put(slab_cache_t *cache, void *obj)
 {
 	if (!CPU)
@@ -552,5 +557,5 @@
  *
  */
-static size_t comp_objects(slab_cache_t *cache)
+NO_TRACE static size_t comp_objects(slab_cache_t *cache)
 {
 	if (cache->flags & SLAB_CACHE_SLINSIDE)
@@ -564,5 +569,5 @@
  *
  */
-static size_t badness(slab_cache_t *cache)
+NO_TRACE static size_t badness(slab_cache_t *cache)
 {
 	size_t objects = comp_objects(cache);
@@ -578,5 +583,5 @@
  *
  */
-static bool make_magcache(slab_cache_t *cache)
+NO_TRACE static bool make_magcache(slab_cache_t *cache)
 {
 	ASSERT(_slab_initialized >= 2);
@@ -600,5 +605,5 @@
  *
  */
-static void _slab_cache_create(slab_cache_t *cache, const char *name,
+NO_TRACE static void _slab_cache_create(slab_cache_t *cache, const char *name,
     size_t size, size_t align, int (*constructor)(void *obj,
     unsigned int kmflag), size_t (*destructor)(void *obj), unsigned int flags)
@@ -676,5 +681,5 @@
  *
  */
-static size_t _slab_reclaim(slab_cache_t *cache, unsigned int flags)
+NO_TRACE static size_t _slab_reclaim(slab_cache_t *cache, unsigned int flags)
 {
 	if (cache->flags & SLAB_CACHE_NOMAGAZINE)
@@ -781,5 +786,5 @@
  *
  */
-static void _slab_free(slab_cache_t *cache, void *obj, slab_t *slab)
+NO_TRACE static void _slab_free(slab_cache_t *cache, void *obj, slab_t *slab)
 {
 	ipl_t ipl = interrupts_disable();
